#ifndef OPENCL_MANAGER_H
#define OPENCL_MANAGER_H

#include "application-model.h"

cl_int loadAndCompileProgram(const char *fileName, 
                             cl_context context,
                             cl_program *program );

int initializeOpenCL (gpuModel *gpu);
void createImage(gpuModel *gpu);
void freeImage (gpuModel *gpu);
void performComputation(applicationModel *gpu);
void freeResources (gpuModel *gpu);
#endif
