#ifndef GPU_MODEL_H
#define GPU_MODEL_H

#define CL_USE_DEPRECATED_OPENCL_1_2_APIS
#include "CL/opencl.h"

typedef struct gpuModel {
	cl_kernel          kernel;
	cl_command_queue   commandQueue;
	cl_context         context;
    cl_program         program;
    cl_mem             output;
    int                screenWidth;
    int                imageWidth;
    int                imageHeight;
    int                imageSize;
    unsigned char*     imageBuffer;      
} gpuModel;

#endif
